import request from '@/assets/js/utils/request'
import { createURL } from '@/assets/js/utils/index'
/*
 * =======================供应商-缴费==============================
 * */
// 获取缴费信息
export function getProtFeePage(data) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeController/getProtFeePage',
    method: 'post',
    data
  })
}
// 保存缴费发票信息
export function saveFeeInvoice(data) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeController/saveFeeInvoice',
    method: 'post',
    data
  })
}
// 提价定价
export function saveFee(data) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeController/saveFee',
    method: 'post',
    data
  })
}
// 提价定价审核
export function submitAudit(data) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeController/submit',
    method: 'post',
    data
  })
}
// 查询缴费详情
export function queryFeeInfoForSupplier(data) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeController/queryFeeInfoForSupplier' + createURL(data),
    method: 'post'
  })
}
// 查询详情
export function queryFeeInfo(id) {
  return request({
    url: 'bidprocurement/procurement-fee/protFeeController/queryFeeInfo?id=' + id,
    method: 'post'
  })
}
// 费用审核
export function updateAuditFeeInfo(data) {
  return request({
    url: 'bidprocurement/procurement-fee/protFeeFeignClient/updateAuditFeeInfo',
    method: 'post',
    data
  })
}

// 获取供应商标书费支付状态
export function getSupplierBailFeePayStatus(userId, tenderId) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeBailFeeController/getBailFeePayStatus?supplierId=' + userId + '&tendertId=' + tenderId,
    method: 'GET'
  })
}

// 提交标书费支付状态
export function submitBidFeePay(data) {
  return request({
    url: '/bidprocurement/procurement-fee/protFeeBailFeeController/submitBidFeePay',
    method: 'POST',
    data
  })
}

